Package com.zfabrik.svnaccess

## Class SvnInfo

- java.lang.Object
- - com.zfabrik.svnaccess.SvnDirEntry
  - - com.zfabrik.svnaccess.SvnInfo

-     public class SvnInfo
      extends SvnDirEntry

  (c) by ZFabrik Software KG 2009,2010,2011,2012,2013,2014,2015 User: udoo Date: 03.07.15 Time: 14:55

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SvnInfo​(java.lang.String rootUrl, java.lang.String path, java.lang.String crPath, long lastChangedRevision, NodeKind nodeKind, java.lang.String uuid)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getRootUrl()` |
    `java.lang.String` | `getUuid()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.zfabrik.svnaccess.SvnDirEntry

      `getCrRelPath, getNodeKind, getPath, getRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnInfo

          public SvnInfo​(java.lang.String rootUrl,
                         java.lang.String path,
                         java.lang.String crPath,
                         long lastChangedRevision,
                         NodeKind nodeKind,
                         java.lang.String uuid)

  - ### Method Detail

    - #### getRootUrl

          public java.lang.String getRootUrl()

      Returns:
        SVN root URL - e.g: http://z2-environment.net/svn/z2-environment (never ends with "/")!

    - #### getUuid

          public java.lang.String getUuid()

      Returns:
        SVN repository UUID

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `SvnDirEntry`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SvnDirEntry`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `SvnDirEntry`